#include <iostream>
#define ll long long

using namespace std;

int n,k,x;

int main()
{
    cin >> n >> k >> x;
    if(k==3){
        if(n==3){
            cout << 1 << " " << x+1 << " " <<  2*x+1 << endl;
            return 0;
        }
        if(n==2){
            cout << -1;
            return 0;
        }
        if(n==1){
            cout << -1;
            return 0;
        }else{
          if(x<=k){
            cout << -1;
            return 0;
          }
          cout << 1 << " " << 2 << " " << 3 << " ";
          for(int i=0;i<n-4;++i){
            cout << x << " ";
          }
          cout << x+3;
          return 0;
        }
    }else{
      for(int i=0;i<k;++i){
        cout << i+1 << " ";
      }
      for(int i=0;i<n-k-1;++i){
        cout << x << " ";
      }
      cout << x+k << endl;

    }
    return 0;
}